Last Comment Bug 689599 - search drop-down does not work while on an about: page
: search drop-down does not work while on an about: page
Status: VERIFIED FIXED
[has patch]
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 685440
  Show dependency treegraph
 
Reported: 2011-09-27 09:02 PDT by Tim Taubert [:ttaubert]
Modified: 2011-12-22 11:49 PST (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.85 KB, patch)
2011-09-27 09:43 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-09-27 09:02:22 PDT
STR:

1) Ensure Fennec is closed.
2) Start Fennec (about:fennec is shown)
3) Type a search term into the url bar
4) Click the magnifier icon at the very right
5) Select "Google"

Expected Result:

Google search for the given search term is done.

Actual Result:

A blank page is shown.
Comment 1 Matt Brubeck (:mbrubeck) 2011-09-27 09:28:55 PDT
I can reproduce this in desktop Fennec.  It looks like this happens any time you use the search engine menu while a local tab ("about:" or "chrome:" page) is selected.
Comment 2 Matt Brubeck (:mbrubeck) 2011-09-27 09:40:47 PDT
Regression from bug 685440.
Comment 3 Matt Brubeck (:mbrubeck) 2011-09-27 09:43:05 PDT
Created attachment 562794 [details] [diff] [review]
patch

The bug is caused by the inadequate check for postData in loadURI, which threw an exception when aParams.postData was null.

The other changes are just minor fixes to related code.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-27 09:48:36 PDT
We'll want this in Fx9 (Aurora)
Comment 5 Matt Brubeck (:mbrubeck) 2011-09-27 12:48:59 PDT
Comment on attachment 562794 [details] [diff] [review]
patch

Pushed to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/45e745c780d7

Requesting approval-mozilla-aurora for Firefox 9.  This fixes a regression introduced in Firefox 9 that breaks searching from the address bar in some common situations.  The fix is mobile-only and very safe.  It just adds a null check before accessing a property.
Comment 6 Matt Brubeck (:mbrubeck) 2011-09-27 15:32:25 PDT
Pushed to Aurora for Firefox 9:
https://hg.mozilla.org/releases/mozilla-aurora/rev/2b4f99e468aa
Comment 7 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-09-28 02:06:46 PDT
https://hg.mozilla.org/mozilla-central/rev/45e745c780d7
Comment 8 Cristian Nicolae (:xti) 2011-09-28 06:39:33 PDT
This issue is not reproducible anymore on the latest Aurora build, but I was able to reproduce it on the latest Nightly build.

--
Mozilla/5.0 (Android;Linux armv7l;rv:9.0a2)Gecko/20110928
Firefox/9.0a2 Fennec/9.0a2
Device: Samsung Galaxy S
OS: Android 2.2

Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110928
Firefox/10.0a1 Fennec/10.0a1
Device: Samsung Galaxy S
OS: Android 2.2
Comment 9 Aaron Train [:aaronmt] 2011-09-28 06:53:00 PDT
(In reply to Cristian Nicolae (:xti) from comment #8)
> This issue is not reproducible anymore on the latest Aurora build, but I was
> able to reproduce it on the latest Nightly build.
> 
> --
> Mozilla/5.0 (Android;Linux armv7l;rv:9.0a2)Gecko/20110928
> Firefox/9.0a2 Fennec/9.0a2
> Device: Samsung Galaxy S
> OS: Android 2.2
> 
> Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110928
> Firefox/10.0a1 Fennec/10.0a1
> Device: Samsung Galaxy S
> OS: Android 2.2

09/28's Nightly was built off of 7f4867717226, this landed with 45e745c780d7 which didn't make the Nightly build. Check this again tomorrow.
Comment 10 Camelia Urian 2011-09-30 02:41:50 PDT
Mozilla/5.0 (Android;Linux armv7l;rv:9.0a2)Gecko/20110929
Firefox/9.0a2 Fennec/9.0a2
Device: HTC Desire Z
OS: Android 2.3

Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110929
Firefox/10.0a1 Fennec/10.0a1
Device: HTC Desire Z
OS: Android 2.3

Verified on both Nightly and Aurora, and issue is not reproducing.
Comment 11 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-12-22 11:49:09 PST
With the steps from comment 0, I cannot reproduce this issue on the LG Optimus Black, using Android OS 2.2.2, using the 10b1 build from:
http://ftp.mozilla.org/pub/mozilla.org/mobile/candidates/10.0b1-candidates/build1/unsigned/
So marking status-firefox10-verified.

Note You need to log in before you can comment on or make changes to this bug.